`limiter`

discontinuous Galerkin slope limiter

# Synopsis

template <class T, class M>
field_basic<T,M>
limiter (
const field_basic<T,M>& uh,
const T& bar_g_S = 1.0,
const limiter_option& opt = limiter_option());

# Description

This function returns a slope limited field for any supplied discontinuous approximation.

        geo omega ("square");
        space Xh (omega, "P1d");
        field uh (Xh);
        ...
        field vh = limiter(uh);

It implements the minmod_TVB limiter for hyperbolic nonlinear problems approximated by discontinuous Galerkin methods. See the User's guide for details and examples.

# Options

struct limiter_option {
bool active;
Float theta; // > 1, see Coc-1998, P. 209
Float M; // M=max|u''(t=0)(x)| at x where u'(t)(x)=0 :extremas
limiter_option() : active(true), theta(1.5), M(1) {}
};

# Implementation

This documentation has been generated from file main/lib/limiter.h

rheolef::limiter
field_basic< T, M > limiter(const field_basic< T, M > &uh, const T &bar_g_S, const limiter_option &opt)
see the limiter page for the full documentation
Definition: limiter.cc:65
rheolef::limiter_option::active
bool active
Definition: limiter.h:73
Float
see the Float page for the full documentation
rheolef::limiter_option::M
Float M
Definition: limiter.h:75
rheolef::limiter_option::limiter_option
limiter_option()
Definition: limiter.h:76
M
Expr1::memory_type M
Definition: vec_expr_v2.h:385
T
Expr1::float_type T
Definition: field_expr.h:218
rheolef::limiter_option::theta
Float theta
Definition: limiter.h:74